<xml> </xml>

db4o |

# MemoryFile.SetInitialSize Method

configures the initial size of the MemoryFile.

public virtual void SetInitialSize(
int byteCount
);

#### Parameters

byteCount
  the desired size in bytes

#### Remarks

configures the initial size of the MemoryFile.
Call this method before passing the MemoryFile to ExtDb4o#openMemoryFile(MemoryFile) .
This parameter can be modified to tune the maximum performance of a MemoryFile for a specific usecase. To produce the best results, test speed and memory consumption of your application with real data.

#### See Also

MemoryFile Class | com.db4o.ext Namespace